#
# bug.rb
#
#   Copyright (c) 1999 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#
#
# usage:
#
#   if find_bug then
#     bug! "unknown bug found"
#   end
#

###

class FindBug < StandardError ; end

class Object

  private

  def bug!( message = 'must not happen' )
    raise FindBug, "\n\n[SCRIPT BUG] " + message
  end

end
